#!/bin/sh
echo
echo "You can install a linux kernel either small or large"
echo "The small one only support NE2000 and 3C509 adaptor"
echo "The large one supports more adaptor, including modern PCI ones"
while true
do
	echo
	echo "       1=small kernel"
	echo "       2=large kernel"
	echo -n "       Choice "
	read choice
	if [ "$choice" = 1 ] ; then
		kernel=kernels/kernel-2.0
		break
	elif [ "$choice" = 2 ] ; then
		kernel=kernels/kernel-2.2
		break
	else
		echo Invalid choice. Pick 1 or 2
	fi
done
cp $kernel boot/zImage
echo   
echo The X terminal normally gets its IP number from a dhcp/bootp server
echo If none is available, you must configure each terminal by
echo providing an IP number for each \"by hand\".
echo
echo -n Enter the IP number of the X terminal '(optional) : '
read termip
echo
echo Enter the IP of the NFS server
echo Enter nothing if this is the same as the dhcp server
echo -n "IP number : "
read nfsip
if [ "$nfsip" != "" ] ; then
	sed "s-APPEND-init=/etc/rc nfsroot=$nfsip:/xterminals/root nfsaddrs=$termip-" <lilo.conf >boot/etc/lilo.conf
else
	sed "s-APPEND-init=/etc/rc nfsroot=/xterminals/root  nfsaddrs=$termip-" <lilo.conf >boot/etc/lilo.conf
fi
chown root.root boot/etc/lilo.conf boot/zImage
echo
echo -n "insert a formatted floppy and press <enter> "
read enter
if /sbin/mkfs -t ext2 /dev/fd0 1000
then
	sync
	sleep 3
	if mount -t ext2 /dev/fd0 /mnt
	then
		cp -a boot/. /mnt/.
		cp -a /boot/*.b /boot/boot.0* /mnt/boot/.
		/sbin/lilo -r /mnt
		umount /mnt
		echo
		echo "The floppy is now ready"
	else
		echo "Can't mount the floppy on /mnt"
	fi
else
	echo "Can't format the floppy"
fi

