#!/bin/sh
# This script will install the basic framework to support linux based
# X terminal
if [ -d /xterminals/root ] ; then
	echo The xterminals framework is already installed in /xterminals/root
	echo Aborting...
else
	rpmoptions=""
	echo
	echo "                  Linux based X terminals"
	echo "                  Server side installation"
	echo
	echo "                 " 1=Redhat 5.0 CD
	echo "                 " 2=Redhat 5.1 CD
	echo "                 " 3=Redhat 5.2 CD
	echo "                 " 4=Redhat 6.0 CD
	echo "                 " 5=Redhat 6.1 CD
	echo "                 " 6=Redhat 6.2 CD
	echo
	echo -n "                  Choice ? "
	read ch
	if [ "$ch" = "1" ] ; then
		suffix=redhat5.0
	elif [ "$ch" = "2" ] ; then
		suffix=redhat5.1
	elif [ "$ch" = "3" ] ; then
		suffix=redhat5.2
	elif [ "$ch" = "4" ] ; then
		suffix=redhat6.0
	elif [ "$ch" = "5" ] ; then
		suffix=redhat6.1
	elif [ "$ch" = "6" ] ; then
		suffix=redhat6.2
		rpmoptions="--nodeps"
	else
		echo Invalid choice
		exit
	fi
	echo
	echo -n "Enter the path of the $suffix cdrom [/mnt/cdrom] : "
	read RHPATH
	if [ "$RHPATH" = "" ] ; then
		RHPATH=/mnt/cdrom
	fi
	RPMS=$RHPATH/RedHat/RPMS
	if [ ! -d $RPMS ] ; then
		echo $RPMS does not exist
	else
		ROOT=/xterminals/root
		RPMDB=$ROOT/var/lib/rpm
		mkdir -p $RPMDB
		echo rpm --root $ROOT --initdb
		for i in `cat packages-$suffix.lst servers-$suffix.lst`
		do
			NB=`ls $RPMS/$i-[0-9]*.i386.rpm 2>/dev/null | wc -l`
			NB=`expr $NB`
			#echo $RPMS/$i-[0-9]*.i386.rpm "->" :$NB:
			if [ "$NB" != "1" ] ; then
				NB=`ls $RPMS/$i-[0-9]*.noarch.rpm | wc -l` 2>/dev/null
				NB=`expr $NB`
				if [ "$NB" != "1" ] ; then
					NB=`ls $RPMS/$i-[0-9]*.i586.rpm | wc -l` 2>/dev/null
					NB=`expr $NB`
					if [ "$NB" != "1" ] ; then
						echo Missing or ambiguous package $i
						err=1
					else
						PKG=$RPMS/$i-[0-9]*.i586.rpm
						echo Will install $PKG
						LIST="$LIST $PKG"
					fi
				else
					PKG=$RPMS/$i-[0-9]*.noarch.rpm
					echo Will install $PKG
					LIST="$LIST $PKG"
				fi
			else
				PKG=$RPMS/$i-[0-9]*.i386.rpm
				echo Will install $PKG
				LIST="$LIST $PKG"
			fi
		done
		if [ "$err" != "" ] ; then
			echo One package missing, aborting
		else
			#echo LIST=$LIST
			rpm --noscripts --root $ROOT -ivh $LIST $rpmoptions $1
		fi
	fi
fi

