/*
	This is a replacement/wrapper for /usr/bin/lpq. Rename /usr/bin/lpq
	to /usr/bin/lpq.old

	lpq will jam forever if a network printer has problem. It will cause
	problem to samba (which will jam forever). This version ends after
	3 seconds and kills lpq.old
*/
#include <stdio.h>
#include <sys/types.h>
#include <errno.h>
#include <string.h>
#include <sys/wait.h>
#include <signal.h>
#include <unistd.h>

static pid_t pid;

static void fct(int no)
{
	// fprintf (stderr,"fct\n");
	kill (pid,SIGKILL);
}

int main (int argc, char *argv[])
{
	pid = fork();
	if (pid == 0){
		argv[0] = "/usr/bin/lpq.old";
		execv (argv[0],argv);
		fprintf (stderr,"Can't exec /usr/bin/lpq.old (%s)\n"
			,strerror(errno));
		_exit (-1);
	}else{
		int status;
		signal (SIGALRM,fct);
		alarm (3);
		wait (&status);
	}
	return 0;
}

